Page MenuHomePhabricator

CX2: Blocklevel translation units inside a section is not translatable
Closed, ResolvedPublic

Description

The section translation unit we defined has the following problem. It behaves like a placeholder in translation column, onlick get translated. If there are block level translation units inside the section, for example, Tables, the whole table get disappeared from source column

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2017, 12:17 PM
santhosh updated the task description. (Show Details)May 2 2017, 11:08 AM

Figured out that this is because unconditional wrapping of block level elements with <section> tag in mw.cx.ui.SectionTranslationUnit.prototype.createSourceSection

Change 351291 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Do not wrap block subtranslation units with <section> tag

https://gerrit.wikimedia.org/r/351291

Change 351291 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Do not wrap block subtranslation units with <section> tag

https://gerrit.wikimedia.org/r/351291

santhosh closed this task as Resolved.May 16 2017, 6:41 AM